using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 接收单据类型接口传参定义
    /// </summary>
    public class BillConvert
    {
        [Key]
        [DisplayName("内码")]
        public int FID { get; set; }
        [DisplayName("转换单据")]
        public int FReceiveID { get; set; }
        [DisplayName("表页")]
        public int FPageID { get; set; }        //1代表单据头；2代表单据体
        [DisplayName("来源字段")]
        [StringLength(100)]
        public string FSourceName { get; set; } = string.Empty;
        [DisplayName("K3单据字段")]
        [StringLength(100)]
        public string FK3FiledName { get; set; } = string.Empty;
        [DisplayName("是否必录")]
        public bool FNeedInput { get; set; }
        //[DisplayName("是否数量汇总依据")]
        //public bool FIsGroupBy { get; set; }

        //[DisplayName("是否允许dbnull")]
        //public bool FIsNull { get; set; }

        [ForeignKey("FReceiveID")]
        public ReceiveStockBillType StockBillType { get; set; }

    }
}
